//
#ifndef LedSystem_h
#define LedSystem_h
//
#include <Arduino.h>
//
class CLedSystem
{
  private:
  String FState;
  int FPin;
  long unsigned FCount;
  long unsigned FPeriod;
  long unsigned FWidth;
  long unsigned FMillisPreset;
  //
  public:
  CLedSystem(int pin);
  // Property
  String GetState(void);
  //
  bool Open(void);
  bool Close(void);
  // 
  void SwitchOn(void);
  void SwitchOff(void);
  void Blink(long unsigned count, 
             long unsigned period,
             long unsigned width);
  //
  bool Execute(void);
};
//
#endif // LedSystem_h
//
