//
#ifndef LanConfiguration_h
#define LanConfiguration_h
//
// IOPin Definitions ESP32
// NC const int PIN_SPI_SCK   = 18;
// NC const int PIN_SPI_MISO  = 19;
// NC const int PIN_SPI_MOSI  = 23;
const int PIN_SPI_CSS   = 5;
// NC const int PIN_SPI_RES   = 13;
//
// MACAddress for Esp32 / W5500
uint8_t MAC_ESP32W5500[] = { 0x32, 0xF0, 0x0D, 0xBE, 0xEF, 0x01 };
//
const int IPPORT_HTTP = 80;   // Http-default Port
//
const int TIME_AUTOREFRESH = 300; // [s]
//
// Definition LAN
IPAddress IPADDRESS_DEVICE(192, 168, 178, 177); // Device
// IPAddress IPADDRESS_SNM(255, 255, 255, 0);       // SubNetMask
// 
IPAddress IPADDRESS_SNM(192, 168, 178, 255);  // SubNetMask
// NC 
IPAddress IPADDRESS_DNS(192, 168, 1, 2);      // DNS server
// NC IPAddress IPADDRESS_DNS(217, 237, 149, 142);  // DNS server
// NC 
IPAddress IPADDRESS_GTW(192, 168, 178, 1);    // GateWay
//
#endif // LanConfiguration_h
//
